"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getAppBranchIdFromUid = void 0;
const _1 = require("./$");
exports.getAppBranchIdFromUid = _1.__.declareManagedFunc()
    .name(`getAppBranchIdFromUid`)
    .namespace(_1.$namespace)
    .errorTypes([])
    .sync()
    .execute(({ appBranchUid, }) => {
    const appBranchId = appBranchUid.split(`@`)[0];
    _1.__.checkAssertion(appBranchId !== undefined);
    _1.__.checkAssertion(appBranchId.length !== 0);
    return appBranchId;
}).getAppBranchIdFromUid;
//# sourceMappingURL=get-app-branch-id-from-uid.js.map